Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Class InterviewPropagator

    java.lang.Object
      com.sun.javatest.InterviewPropagator

    public class InterviewPropagator

extends java.lang.Object

Nested Class Summary
`class` | `InterviewPropagator.PropogateMap` Propagation data model.
`static interface` | `InterviewPropagator.TestRefresher`
`static interface` | `InterviewPropagator.ViewManager`

Method Summary
`void` | `acceptAll()` Accepts all changes from template to the current configuration
`InterviewPropagator.PropogateMap` | `getPropagateMap()` Gets current PropogateMap
`static boolean` | `isPropertyQuestion(java.lang.String key, InterviewParameters interview)` Returns is the specified question is properties question
`static boolean` | `isPropertyQuestion(java.lang.String key, java.util.Map<java.lang.String,Question> allQ)` Returns is the specified question is properties question
`static java.lang.String` | `properties2ToString(Properties2 pr)` Properties2 object to its string representation.
`void` | `rejectAll()` Rejects all changes and store in the current configuration new template values as current
`static void` | `setTestRefresher(InterviewPropagator.TestRefresher r)`
`static void` | `setViewManager(InterviewPropagator.ViewManager v)`
`static Properties2` | `stringToProperties2(java.lang.String str)` Converts string representation of property question to Properties2 object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPropagateMap

    public InterviewPropagator.PropogateMap getPropagateMap()

  Gets current PropogateMap

  Returns:
    InterviewPropagator.PropogateMap with actual data

### acceptAll

    public void acceptAll()

  Accepts all changes from template to the current configuration

### rejectAll

    public void rejectAll()

  Rejects all changes and store in the current configuration new template values as current

### stringToProperties2

    public static Properties2 stringToProperties2(java.lang.String str)
                                           throws java.io.IOException

  Converts string representation of property question to Properties2 object

  Parameters:
    `str` - - string representation of property question
  Returns:
    coresponding Properties2 object
  Throws:
    `java.io.IOException`

### properties2ToString

    public static java.lang.String properties2ToString(Properties2 pr)

  Properties2 object to its string representation. Used for property question processing

  Parameters:
    `pr` - - Properties2 object
  Returns:
    corresponding string representation

### isPropertyQuestion

    public static boolean isPropertyQuestion(java.lang.String key,
                                             InterviewParameters interview)

  Returns is the specified question is properties question

  Parameters:
    `key` - - question key
    `interview` - - InterviewParameters object
  Returns:
    true if the specified question is properties question, owervise false

### isPropertyQuestion

    public static boolean isPropertyQuestion(java.lang.String key,
                                             java.util.Map<java.lang.String,Question> allQ)

  Returns is the specified question is properties question

  Parameters:
    `key` - - question key
    `allQ` - - question map
  Returns:
    true if the specified question is properties question, owervise false

### setViewManager

    public static void setViewManager(InterviewPropagator.ViewManager v)

### setTestRefresher

    public static void setTestRefresher(InterviewPropagator.TestRefresher r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.